package com.bonus.canteen.core.bus.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("bus_device_info")
@ApiModel(
   value = "BusDeviceInfo",
   description = "车载终端设备表"
)
public class BusDeviceInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Integer id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("线路id")
   private Long lineId;
   @ApiModelProperty("使用场景 1、固定计费2、上车使用3、下车使用")
   private @NotNull(
   message = "使用场景 1、固定计费2、上车使用3、下车使用"
) Integer useScene;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getLineId() {
      return this.lineId;
   }

   public Integer getUseScene() {
      return this.useScene;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BusDeviceInfo setId(final Integer id) {
      this.id = id;
      return this;
   }

   public BusDeviceInfo setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public BusDeviceInfo setLineId(final Long lineId) {
      this.lineId = lineId;
      return this;
   }

   public BusDeviceInfo setUseScene(final Integer useScene) {
      this.useScene = useScene;
      return this;
   }

   public BusDeviceInfo setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public BusDeviceInfo setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public BusDeviceInfo setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public BusDeviceInfo setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public BusDeviceInfo setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public BusDeviceInfo setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
